diff --git a/gcc/tree-scalar-evolution.c b/gcc/tree-scalar-evolution.c
index 95f65b0..bc7c715 100644
--- a/gcc/tree-scalar-evolution.c
+++ b/gcc/tree-scalar-evolution.c
@@ -3316,7 +3316,7 @@ scev_reset (void)
 
    We do not use information whether TYPE can overflow so it is safe to
    use this test even for derived IVs not computed every iteration or
-   hypotetical IVs to be inserted into code.  */
+   hypothetical IVs to be inserted into code.  */
 
 bool
 iv_can_overflow_p (struct loop *loop, tree type, tree base, tree step)
@@ -3357,7 +3357,7 @@ iv_can_overflow_p (struct loop *loop, tree type, tree base, tree step)
   gcc_checking_assert (wi::ge_p (base_min, type_min, sgn)
 		       && wi::le_p (base_max, type_max, sgn));
 
-  /* Account the possible increment in the last ieration.  */
+  /* Account the possible increment in the last iteration.  */
   bool overflow = false;
   nit = wi::add (nit, 1, SIGNED, &overflow);
   if (overflow)
diff --git a/gcc/tree-sra.c b/gcc/tree-sra.c
index f25818f..51cf58e 100644
--- a/gcc/tree-sra.c
+++ b/gcc/tree-sra.c
@@ -403,7 +403,7 @@ static struct
   int deleted;
 
   /* Number of times sra_modify_assign has to deal with subaccesses of LHS and
-     RHS reparately due to type conversions or nonexistent matching
+     RHS separately due to type conversions or nonexistent matching
      references.  */
   int separate_lhs_rhs_handling;
 
@@ -2517,7 +2517,7 @@ child_would_conflict_in_lacc (struct access *lacc, HOST_WIDE_INT norm_offset,
    Return the new access or NULL if it cannot be created.  Note that this
    access is created long after all splicing and sorting, it's not located in
    any access vector and is automatically a representative of its group.  Set
-   the gpr_write flag of the new accesss if SET_GRP_WRITE is true.  */
+   the gpr_write flag of the new access if SET_GRP_WRITE is true.  */
 
 static struct access *
 create_artificial_child_access (struct access *parent, struct access *model,
@@ -3138,7 +3138,7 @@ sra_modify_expr (tree *expr, gimple_stmt_iterator *gsi, bool write)
 }
 
 /* Where scalar replacements of the RHS have been written to when a replacement
-   of a LHS of an assigments cannot be direclty loaded from a replacement of
+   of a LHS of an assignments cannot be directly loaded from a replacement of
    the RHS. */
 enum unscalarized_data_handling { SRA_UDH_NONE,  /* Nothing done so far. */
 				  SRA_UDH_RIGHT, /* Data flushed to the RHS. */
@@ -3391,7 +3391,7 @@ contains_vce_or_bfcref_p (const_tree ref)
 }
 
 /* Examine both sides of the assignment statement pointed to by STMT, replace
-   them with a scalare replacement if there is one and generate copying of
+   them with a scalar replacement if there is one and generate copying of
    replacements if scalarized aggregates have been used in the assignment.  GSI
    is used to hold generated statements for type conversions and subtree
    copying.  */
diff --git a/gcc/tree-ssa-address.c b/gcc/tree-ssa-address.c
index 8257fde..0fb020f 100644
--- a/gcc/tree-ssa-address.c
+++ b/gcc/tree-ssa-address.c
@@ -1000,7 +1000,7 @@ copy_ref_info (tree new_ref, tree old_ref)
 	      && !(TREE_CODE (new_ref) == TARGET_MEM_REF
 		   && (TMR_INDEX2 (new_ref)
 		       /* TODO: Below conditions can be relaxed if TMR_INDEX
-			  is an indcution variable and its initial value and
+			  is an induction variable and its initial value and
 			  step are aligned.  */
 		       || (TMR_INDEX (new_ref) && !TMR_STEP (new_ref))
 		       || (TMR_STEP (new_ref)
diff --git a/gcc/tree-ssa-alias.c b/gcc/tree-ssa-alias.c
index 74ee2b0..83a6d59 100644
--- a/gcc/tree-ssa-alias.c
+++ b/gcc/tree-ssa-alias.c
@@ -162,7 +162,7 @@ ptr_deref_may_alias_decl_p (tree ptr, tree decl)
      data-dependence analysis can feed us those.  */
   STRIP_NOPS (ptr);
 
-  /* Anything we do not explicilty handle aliases.  */
+  /* Anything we do not explicitly handle aliases.  */
   if ((TREE_CODE (ptr) != SSA_NAME
        && TREE_CODE (ptr) != ADDR_EXPR
        && TREE_CODE (ptr) != POINTER_PLUS_EXPR)
@@ -327,7 +327,7 @@ bool
 ptrs_compare_unequal (tree ptr1, tree ptr2)
 {
   /* First resolve the pointers down to a SSA name pointer base or
-     a VAR_DECL, PARM_DECL or RESULT_DECL.  This explicitely does
+     a VAR_DECL, PARM_DECL or RESULT_DECL.  This explicitly does
      not yet try to handle LABEL_DECLs, FUNCTION_DECLs, CONST_DECLs
      or STRING_CSTs which needs points-to adjustments to track them
      in the points-to sets.  */
diff --git a/gcc/tree-ssa-ccp.c b/gcc/tree-ssa-ccp.c
index f18f2e0..7c8323f 100644
--- a/gcc/tree-ssa-ccp.c
+++ b/gcc/tree-ssa-ccp.c
@@ -104,7 +104,7 @@ along with GCC; see the file COPYING3.  If not see
    precision of the type of the variable are always zero.  The
    uninteresting case is a variable of UNSIGNED type that has the
    maximum precision of the target.  Such variables can go to VARYING,
-   but this causes no loss of infomation since these variables will
+   but this causes no loss of information since these variables will
    never be extended.
 
    References:
diff --git a/gcc/tree-ssa-coalesce.c b/gcc/tree-ssa-coalesce.c
index e166314..8530cf7 100644
--- a/gcc/tree-ssa-coalesce.c
+++ b/gcc/tree-ssa-coalesce.c
@@ -187,11 +187,11 @@ coalesce_cost_edge (edge e)
 	if (e2 != e)
 	  {
 	    /* Putting code on EH edge that leads to BB
-	       with multiple predecestors imply splitting of
+	       with multiple predecessors imply splitting of
 	       edge too.  */
 	    if (mult < 2)
 	      mult = 2;
-	    /* If there are multiple EH predecestors, we
+	    /* If there are multiple EH predecessors, we
 	       also copy EH regions and produce separate
 	       landing pad.  This is expensive.  */
 	    if (e2->flags & EDGE_EH)
diff --git a/gcc/tree-ssa-dce.c b/gcc/tree-ssa-dce.c
index 9343249..43d4761 100644
--- a/gcc/tree-ssa-dce.c
+++ b/gcc/tree-ssa-dce.c
@@ -564,7 +564,7 @@ mark_all_reaching_defs_necessary_1 (ao_ref *ref ATTRIBUTE_UNUSED,
 	return false;
     }
 
-  /* We want to skip statments that do not constitute stores but have
+  /* We want to skip statements that do not constitute stores but have
      a virtual definition.  */
   if (is_gimple_call (def_stmt))
     {
@@ -684,7 +684,7 @@ propagate_necessity (bool aggressive)
 	     We need to mark control dependence of the empty basic blocks, since they
 	     contains computation of PHI operands.
 
-	     Doing so is too restrictive in the case the predecestor block is in
+	     Doing so is too restrictive in the case the predecessor block is in
 	     the loop. Consider:
 
 	      if (b)
@@ -697,7 +697,7 @@ propagate_necessity (bool aggressive)
 	      return j;
 
 	     There is PHI for J in the BB containing return statement.
-	     In this case the control dependence of predecestor block (that is
+	     In this case the control dependence of predecessor block (that is
 	     within the empty loop) also contains the block determining number
 	     of iterations of the block that would prevent removing of empty
 	     loop in this case.
@@ -727,12 +727,12 @@ propagate_necessity (bool aggressive)
 		   case 2 happens iff there is no other way from B to C except
 		   the edge B->C.
 
-		   There is other way from B to C iff there is succesor of B that
+		   There is other way from B to C iff there is successor of B that
 		   is not postdominated by B.  Testing this condition is somewhat
-		   expensive, because we need to iterate all succesors of B.
+		   expensive, because we need to iterate all successors of B.
 		   We are safe to assume that this does not happen: we will mark B
 		   as needed when processing the other path from B to C that is
-		   conrol dependent on B and marking control dependencies of B
+		   control dependent on B and marking control dependencies of B
 		   itself is harmless because they will be processed anyway after
 		   processing control statement in B.
 
@@ -1571,7 +1571,7 @@ perform_tree_ssa_dce (bool aggressive)
   calculate_dominance_info (CDI_DOMINATORS);
 
   /* Preheaders are needed for SCEV to work.
-     Simple lateches and recorded exits improve chances that loop will
+     Simple latches and recorded exits improve chances that loop will
      proved to be finite in testcases such as in loop-15.c and loop-24.c  */
   bool in_loop_pipeline = scev_initialized_p ();
   if (aggressive && ! in_loop_pipeline)
diff --git a/gcc/tree-ssa-dom.c b/gcc/tree-ssa-dom.c
index 494b472..308d9cb 100644
--- a/gcc/tree-ssa-dom.c
+++ b/gcc/tree-ssa-dom.c
@@ -546,7 +546,7 @@ pass_dominator::execute (function *fun)
   /* Fixup stmts that became noreturn calls.  This may require splitting
      blocks and thus isn't possible during the dominator walk or before
      jump threading finished.  Do this in reverse order so we don't
-     inadvertedly remove a stmt we want to fixup by visiting a dominating
+     inadvertently remove a stmt we want to fixup by visiting a dominating
      now noreturn call first.  */
   while (!need_noreturn_fixup.is_empty ())
     {
@@ -1326,7 +1326,7 @@ eliminate_redundant_computations (gimple_stmt_iterator* gsi,
    Detect and record those equivalences into AVAIL_EXPRS_STACK. 
 
    We handle only very simple copy equivalences here.  The heavy
-   lifing is done by eliminate_redundant_computations.  */
+   lifting is done by eliminate_redundant_computations.  */
 
 static void
 record_equivalences_from_stmt (gimple *stmt, int may_optimize_p,
diff --git a/gcc/tree-ssa-dse.c b/gcc/tree-ssa-dse.c
index 70c8b07..27f1912 100644
--- a/gcc/tree-ssa-dse.c
+++ b/gcc/tree-ssa-dse.c
@@ -83,7 +83,7 @@ enum dse_store_status
 
    Return TRUE if the the statement was analyzed, FALSE otherwise.
 
-   It is always safe to return FALSE.  But typically better optimziation
+   It is always safe to return FALSE.  But typically better optimization
    can be achieved by analyzing more statements.  */
 
 static bool
diff --git a/gcc/tree-ssa-forwprop.c b/gcc/tree-ssa-forwprop.c
index 5719b99..c8b44b5 100644
--- a/gcc/tree-ssa-forwprop.c
+++ b/gcc/tree-ssa-forwprop.c
@@ -2519,7 +2519,7 @@ pass_forwprop::execute (function *fun)
 
   /* Fixup stmts that became noreturn calls.  This may require splitting
      blocks and thus isn't possible during the walk.  Do this
-     in reverse order so we don't inadvertedly remove a stmt we want to
+     in reverse order so we don't inadvertently remove a stmt we want to
      fixup by visiting a dominating now noreturn call first.  */
   while (!to_fixup.is_empty ())
     {
diff --git a/gcc/tree-ssa-ifcombine.c b/gcc/tree-ssa-ifcombine.c
index 9d9c5ac..5d8cf9f 100644
--- a/gcc/tree-ssa-ifcombine.c
+++ b/gcc/tree-ssa-ifcombine.c
@@ -807,7 +807,7 @@ pass_tree_ifcombine::execute (function *fun)
 
      We walk the blocks in order that guarantees that a block with
      a single predecessor is processed after the predecessor.
-     This ensures that we collapse outter ifs before visiting the
+     This ensures that we collapse outer ifs before visiting the
      inner ones, and also that we do not try to visit a removed
      block.  This is opposite of PHI-OPT, because we cascade the
      combining rather than cascading PHIs. */
diff --git a/gcc/tree-ssa-live.c b/gcc/tree-ssa-live.c
index c77075e..1a3c9cb 100644
--- a/gcc/tree-ssa-live.c
+++ b/gcc/tree-ssa-live.c
@@ -411,7 +411,7 @@ remove_unused_scope_block_p (tree scope, bool in_ctor_dtor_block)
 
       /* Debug info of nested function refers to the block of the
 	 function.  We might stil call it even if all statements
-	 of function it was nested into was elliminated.
+	 of function it was nested into was eliminated.
 
 	 TODO: We can actually look into cgraph to see if function
 	 will be output to file.  */
diff --git a/gcc/tree-ssa-loop-im.c b/gcc/tree-ssa-loop-im.c
index c0e06bb..b305fbd 100644
--- a/gcc/tree-ssa-loop-im.c
+++ b/gcc/tree-ssa-loop-im.c
@@ -723,7 +723,7 @@ determine_max_movement (gimple *stmt, bool must_preserve_exec)
 
 	  /* We want to avoid unconditionally executing very expensive
 	     operations.  As costs for our dependencies cannot be
-	     negative just claim we are not invariand for this case.
+	     negative just claim we are not invariant for this case.
 	     We also are not sure whether the control-flow inside the
 	     loop will vanish.  */
 	  if (total_cost - min_cost >= 2 * LIM_EXPENSIVE
@@ -2205,7 +2205,7 @@ ref_indep_loop_p_1 (int safelen, struct loop *loop, im_mem_ref *ref,
       if (bitmap_set_bit (&ref->indep_loop, LOOP_DEP_BIT (loop->num, stored_p))
 	  && stored_p)
 	{
-	  /* If it's independend against all refs then it's independent
+	  /* If it's independent against all refs then it's independent
 	     against stores, too.  */
 	  bitmap_set_bit (&ref->indep_loop, LOOP_DEP_BIT (loop->num, false));
 	}
diff --git a/gcc/tree-ssa-loop-ivcanon.c b/gcc/tree-ssa-loop-ivcanon.c
index 31a4b32..a258d28 100644
--- a/gcc/tree-ssa-loop-ivcanon.c
+++ b/gcc/tree-ssa-loop-ivcanon.c
@@ -197,7 +197,7 @@ constant_after_peeling (tree op, gimple *stmt, struct loop *loop)
 }
 
 /* Computes an estimated number of insns in LOOP.
-   EXIT (if non-NULL) is an exite edge that will be eliminated in all but last
+   EXIT (if non-NULL) is an exit edge that will be eliminated in all but last
    iteration of the loop.
    EDGE_TO_CANCEL (if non-NULL) is an non-exit edge eliminated in the last iteration
    of loop.
@@ -442,7 +442,7 @@ loop_edge_to_cancel (struct loop *loop)
   edge edge_to_cancel;
   gimple_stmt_iterator gsi;
 
-  /* We want only one predecestor of the loop.  */
+  /* We want only one predecessor of the loop.  */
   if (EDGE_COUNT (loop->latch->preds) > 1)
     return NULL;
 
@@ -451,7 +451,7 @@ loop_edge_to_cancel (struct loop *loop)
   FOR_EACH_VEC_ELT (exits, i, edge_to_cancel)
     {
        /* Find the other edge than the loop exit
-          leaving the conditoinal.  */
+          leaving the conditional.  */
        if (EDGE_COUNT (edge_to_cancel->src->succs) != 2)
          continue;
        if (EDGE_SUCC (edge_to_cancel->src, 0) == edge_to_cancel)
@@ -670,7 +670,7 @@ unloop_loops (bitmap loop_closed_ssa_invalidated,
 /* Tries to unroll LOOP completely, i.e. NITER times.
    UL determines which loops we are allowed to unroll.
    EXIT is the exit of the loop that should be eliminated.
-   MAXITER specfy bound on number of iterations, -1 if it is
+   MAXITER specify bound on number of iterations, -1 if it is
    not known or too large for HOST_WIDE_INT.  The location
    LOCUS corresponding to the loop is used when emitting
    a summary of the unroll to the dump file.  */
@@ -780,7 +780,7 @@ try_unroll_loop_completely (struct loop *loop,
 	  <= ninsns + (size.constant_iv != false))
 	;
       /* We unroll only inner loops, because we do not consider it profitable
-	 otheriwse.  We still can cancel loopback edge of not rolling loop;
+	 otherwise.  We still can cancel loopback edge of not rolling loop;
 	 this is always a good idea.  */
       else if (ul == UL_NO_GROWTH)
 	{
@@ -814,7 +814,7 @@ try_unroll_loop_completely (struct loop *loop,
       /* If there is pure/const call in the function, then we
 	 can still optimize the unrolled loop body if it contains
 	 some other interesting code than the calls and code
-	 storing or cumulating the return value.  */
+	 storing or accumulating the return value.  */
       else if (size.num_pure_calls_on_hot_path
 	       /* One IV increment, one test, one ivtmp store
 		  and one useful stmt.  That is about minimal loop
diff --git a/gcc/tree-ssa-loop-ivopts.c b/gcc/tree-ssa-loop-ivopts.c
index c03d177..d037092 100644
--- a/gcc/tree-ssa-loop-ivopts.c
+++ b/gcc/tree-ssa-loop-ivopts.c
@@ -422,7 +422,7 @@ struct iv_cand
   bitmap inv_vars;	/* The list of invariant ssa_vars used in step of the
 			   iv_cand.  */
   bitmap inv_exprs;	/* If step is more complicated than a single ssa_var,
-			   hanlde it as a new invariant expression which will
+			   handle it as a new invariant expression which will
 			   be hoisted out of loop.  */
   struct iv *orig_iv;	/* The original iv if this cand is added from biv with
 			   smaller type.  */
@@ -473,7 +473,7 @@ struct iv_inv_expr_ent
 {
   /* Tree expression of the entry.  */
   tree expr;
-  /* Unique indentifier.  */
+  /* Unique identifier.  */
   int id;
   /* Hash value.  */
   hashval_t hash;
@@ -2550,13 +2550,13 @@ group_compare_offset (const void *a, const void *b)
    contains more than two uses with distinct addr_offsets.  Return
    false otherwise.  We want to split such groups because:
 
-     1) Small groups don't have much benefit and may interfer with
+     1) Small groups don't have much benefit and may interfere with
 	general candidate selection.
      2) Size for problem with only small groups is usually small and
 	general algorithm can handle it well.
 
    TODO -- Above claim may not hold when we want to merge memory
-   accesses with conseuctive addresses.  */
+   accesses with consecutive addresses.  */
 
 static bool
 split_small_address_groups_p (struct ivopts_data *data)
@@ -2956,7 +2956,7 @@ find_inv_vars (struct ivopts_data *data, tree *expr_p, bitmap *inv_vars)
    It's hard to make decision whether constant part should be stripped
    or not.  We choose to not strip based on below facts:
      1) We need to count ADD cost for constant part if it's stripped,
-	which is't always trivial where this functions is called.
+	which isn't always trivial where this functions is called.
      2) Stripping constant away may be conflict with following loop
 	invariant hoisting pass.
      3) Not stripping constant away results in more invariant exprs,
@@ -3812,7 +3812,7 @@ get_computation_aff_1 (struct loop *loop, gimple *at, struct iv_use *use,
 	  inner_type = TREE_TYPE (inner_base);
 	  /* If candidate is added from a biv whose type is smaller than
 	     ctype, we know both candidate and the biv won't overflow.
-	     In this case, it's safe to skip the convertion in candidate.
+	     In this case, it's safe to skip the conversion in candidate.
 	     As an example, (unsigned short)((unsigned long)A) equals to
 	     (unsigned short)A, if A has a type no larger than short.  */
 	  if (TYPE_PRECISION (inner_type) <= TYPE_PRECISION (uutype))
diff --git a/gcc/tree-ssa-loop-niter.c b/gcc/tree-ssa-loop-niter.c
index e67cd93..9adf2cb 100644
--- a/gcc/tree-ssa-loop-niter.c
+++ b/gcc/tree-ssa-loop-niter.c
@@ -286,7 +286,7 @@ refine_value_range_using_guard (tree type, tree var,
        2) cmp == LE_EXPR && offc0 < 0
 
 	    (varc0 + offc0) doesn't underflow
-	    && (varc1 + offc1 - offc0) doesn't overfloe
+	    && (varc1 + offc1 - offc0) doesn't overflow
 
 	  In this case, (varc0 + offc0) will never underflow if we can
 	  prove (varc1 + offc1 - offc0) doesn't overflow.
@@ -1155,7 +1155,7 @@ number_of_iterations_lt_to_ne (tree type, affine_iv *iv0, affine_iv *iv1,
      then the computation of the final value does not overflow.  There
      are three cases:
        1) The case if the new final value is equal to the current one.
-       2) Induction varaible has pointer type, as the code cannot rely
+       2) Induction variable has pointer type, as the code cannot rely
 	  on the object to that the pointer points being placed at the
 	  end of the address space (and more pragmatically,
 	  TYPE_{MIN,MAX}_VALUE is not defined for pointers).
@@ -3266,7 +3266,7 @@ idx_infer_loop_bounds (tree base, tree *idx, void *dta)
       && tree_int_cst_compare (next, high) <= 0)
     return true;
 
-  /* If access is not executed on every iteration, we must ensure that overlow
+  /* If access is not executed on every iteration, we must ensure that overflow
      may not make the access valid later.  */
   if (!dominated_by_p (CDI_DOMINATORS, loop->latch, gimple_bb (data->stmt))
       && scev_probably_wraps_p (NULL_TREE,
@@ -3428,7 +3428,7 @@ infer_loop_bounds_from_signedness (struct loop *loop, gimple *stmt)
   record_nonwrapping_iv (loop, base, step, stmt, low, high, false, true);
 }
 
-/* The following analyzers are extracting informations on the bounds
+/* The following analyzers are extracting information on the bounds
    of LOOP from the following undefined behaviors:
 
    - data references should not access elements over the statically
@@ -3632,7 +3632,7 @@ discover_iteration_bound_by_body_walk (struct loop *loop)
 	      if (entry && *entry < bound_index)
 		bound_index = *entry;
 
-	      /* Insert succesors into the queue, watch for latch edge
+	      /* Insert successors into the queue, watch for latch edge
 		 and record greatest index we saw.  */
 	      FOR_EACH_EDGE (e, ei, bb->succs)
 		{
@@ -3679,7 +3679,7 @@ discover_iteration_bound_by_body_walk (struct loop *loop)
 }
 
 /* See if every path cross the loop goes through a statement that is known
-   to not execute at the last iteration. In that case we can decrese iteration
+   to not execute at the last iteration. In that case we can decrease iteration
    count by 1.  */
 
 static void
@@ -4163,7 +4163,7 @@ n_of_executions_at_most (gimple *stmt,
 
 	  /* By stmt_dominates_stmt_p we already know that STMT appears
 	     before NITER_BOUND->STMT.  Still need to test that the loop
-	     can not be terinated by a side effect in between.  */
+	     can not be terminated by a side effect in between.  */
 	  for (bsi = gsi_for_stmt (stmt); gsi_stmt (bsi) != niter_bound->stmt;
 	       gsi_next (&bsi))
 	    if (gimple_has_side_effects (gsi_stmt (bsi)))
diff --git a/gcc/tree-ssa-loop-niter.h b/gcc/tree-ssa-loop-niter.h
index b009857..a7fd58a 100644
--- a/gcc/tree-ssa-loop-niter.h
+++ b/gcc/tree-ssa-loop-niter.h
@@ -1,4 +1,4 @@
-/* Header file for loop interation estimates.
+/* Header file for loop iteration estimates.
    Copyright (C) 2013-2017 Free Software Foundation, Inc.
 
 This file is part of GCC.
diff --git a/gcc/tree-ssa-loop-prefetch.c b/gcc/tree-ssa-loop-prefetch.c
index f5f2802..27c501c 100644
--- a/gcc/tree-ssa-loop-prefetch.c
+++ b/gcc/tree-ssa-loop-prefetch.c
@@ -131,7 +131,7 @@ along with GCC; see the file COPYING3.  If not see
       heuristic that disables prefetching in a loop if the prefetching
       cost is above a certain limit.  The relative prefetching cost is
       estimated by taking the ratio between the prefetch count and the
-      total intruction count (this models the I-cache cost).
+      total instruction count (this models the I-cache cost).
 
    The limits used in these heuristics are defined as parameters with
    reasonable default values. Machine-specific default values will be
@@ -1040,7 +1040,7 @@ schedule_prefetches (struct mem_ref_group *groups, unsigned unroll_factor,
 	  continue;
 
         /* The loop is far from being sufficiently unrolled for this
-           prefetch.  Do not generate prefetch to avoid many redudant
+           prefetch.  Do not generate prefetch to avoid many redundant
            prefetches.  */
         if (ref->prefetch_mod / unroll_factor > PREFETCH_MOD_TO_UNROLL_FACTOR_RATIO)
           continue;
@@ -1723,7 +1723,7 @@ determine_loop_nest_reuse (struct loop *loop, struct mem_ref_group *refs,
 }
 
 /* Determine whether or not the trip count to ahead ratio is too small based
-   on prefitablility consideration.
+   on profitability consideration.
    AHEAD: the iteration ahead distance,
    EST_NITER: the estimated trip count.  */
 
@@ -1748,7 +1748,7 @@ trip_count_to_ahead_ratio_too_small_p (unsigned ahead, HOST_WIDE_INT est_niter)
 }
 
 /* Determine whether or not the number of memory references in the loop is
-   reasonable based on the profitablity and compilation time considerations.
+   reasonable based on the profitability and compilation time considerations.
    NINSNS: estimated number of instructions in the loop,
    MEM_REF_COUNT: total number of memory references in the loop.  */
 
@@ -1791,7 +1791,7 @@ mem_ref_count_reasonable_p (unsigned ninsns, unsigned mem_ref_count)
 }
 
 /* Determine whether or not the instruction to prefetch ratio in the loop is
-   too small based on the profitablity consideration.
+   too small based on the profitability consideration.
    NINSNS: estimated number of instructions in the loop,
    PREFETCH_COUNT: an estimate of the number of prefetches,
    UNROLL_FACTOR:  the factor to unroll the loop if prefetching.  */
@@ -1871,7 +1871,7 @@ loop_prefetch_arrays (struct loop *loop)
   refs = gather_memory_references (loop, &no_other_refs, &mem_ref_count);
 
   /* Give up prefetching if the number of memory references in the
-     loop is not reasonable based on profitablity and compilation time
+     loop is not reasonable based on profitability and compilation time
      considerations.  */
   if (!mem_ref_count_reasonable_p (ninsns, mem_ref_count))
     goto fail;
diff --git a/gcc/tree-ssa-math-opts.c b/gcc/tree-ssa-math-opts.c
index d044374..99edc55 100644
--- a/gcc/tree-ssa-math-opts.c
+++ b/gcc/tree-ssa-math-opts.c
@@ -1080,7 +1080,7 @@ powi_as_mults (gimple_stmt_iterator *gsi, location_t loc,
 /* ARG0 and N are the two arguments to a powi builtin in GSI with
    location info LOC.  If the arguments are appropriate, create an
    equivalent sequence of statements prior to GSI using an optimal
-   number of multiplications, and return an expession holding the
+   number of multiplications, and return an expression holding the
    result.  */
 
 static tree
@@ -1519,7 +1519,7 @@ expand_pow_as_sqrts (gimple_stmt_iterator *gsi, location_t loc,
 /* ARG0 and ARG1 are the two arguments to a pow builtin call in GSI
    with location info LOC.  If possible, create an equivalent and
    less expensive sequence of statements prior to GSI, and return an
-   expession holding the result.  */
+   expression holding the result.  */
 
 static tree
 gimple_expand_builtin_pow (gimple_stmt_iterator *gsi, location_t loc, 
@@ -1615,7 +1615,7 @@ gimple_expand_builtin_pow (gimple_stmt_iterator *gsi, location_t loc,
 
 
   /* Attempt to expand the POW as a product of square root chains.
-     Expand the 0.25 case even when otpimising for size.  */
+     Expand the 0.25 case even when optimising for size.  */
   if (flag_unsafe_math_optimizations
       && sqrtfn
       && hw_sqrt_exists
@@ -2812,8 +2812,8 @@ bswap_replace (gimple *cur_stmt, gimple *ins_stmt, tree fndecl,
 }
 
 /* Find manual byte swap implementations as well as load in a given
-   endianness. Byte swaps are turned into a bswap builtin invokation
-   while endian loads are converted to bswap builtin invokation or
+   endianness. Byte swaps are turned into a bswap builtin invocation
+   while endian loads are converted to bswap builtin invocation or
    simple load according to the target endianness.  */
 
 unsigned int
@@ -3179,7 +3179,7 @@ convert_mult_to_widen (gimple *stmt, gimple_stmt_iterator *gsi)
 	return false;
     }
 
-  /* Ensure that the inputs to the handler are in the correct precison
+  /* Ensure that the inputs to the handler are in the correct precision
      for the opcode.  This will be the full mode size.  */
   actual_precision = GET_MODE_PRECISION (actual_mode);
   if (2 * actual_precision > TYPE_PRECISION (type))
@@ -3390,7 +3390,7 @@ convert_plusminus_to_widen (gimple_stmt_iterator *gsi, gimple *stmt,
   if (handler == CODE_FOR_nothing)
     return false;
 
-  /* Ensure that the inputs to the handler are in the correct precison
+  /* Ensure that the inputs to the handler are in the correct precision
      for the opcode.  This will be the full mode size.  */
   actual_precision = GET_MODE_PRECISION (actual_mode);
   if (actual_precision != TYPE_PRECISION (type1)
@@ -3946,7 +3946,7 @@ convert_to_divmod (gassign *stmt)
   stmts.safe_push (top_stmt);
   bool div_seen = (gimple_assign_rhs_code (top_stmt) == TRUNC_DIV_EXPR);
 
-  /* Part 2: Add all trunc_div/trunc_mod statements domianted by top_bb
+  /* Part 2: Add all trunc_div/trunc_mod statements dominated by top_bb
      to stmts vector. The 2nd loop will always add stmt to stmts vector, since
      gimple_bb (top_stmt) dominates gimple_bb (stmt), so the
      2nd loop ends up adding at-least single trunc_mod_expr stmt.  */  
diff --git a/gcc/tree-ssa-pre.c b/gcc/tree-ssa-pre.c
index 2a431c9..7473189 100644
--- a/gcc/tree-ssa-pre.c
+++ b/gcc/tree-ssa-pre.c
@@ -2132,7 +2132,7 @@ compute_antic_aux (basic_block block, bool block_has_abnormal_pred_edge)
 	      /* Unvisited successors get their ANTIC_IN replaced by the
 		 maximal set to arrive at a maximum ANTIC_IN solution.
 		 We can ignore them in the intersection operation and thus
-		 need not explicitely represent that maximum solution.  */
+		 need not explicitly represent that maximum solution.  */
 	      if (dump_file && (dump_flags & TDF_DETAILS))
 		fprintf (dump_file, "ANTIC_IN is MAX on %d->%d\n",
 			 e->src->index, e->dest->index);
@@ -3948,7 +3948,7 @@ compute_avail (void)
 			 load make sure we do not use its expression
 			 for insertion if it wouldn't be a valid
 			 replacement.  */
-		      /* At the momemt we have a testcase
+		      /* At the moment we have a testcase
 			 for hoist insertion of aligned vs. misaligned
 			 variants in gcc.dg/torture/pr65270-1.c thus
 			 with just alignment to be considered we can
@@ -4838,7 +4838,7 @@ fini_eliminate (void)
 
   /* Fixup stmts that became noreturn calls.  This may require splitting
      blocks and thus isn't possible during the dominator walk.  Do this
-     in reverse order so we don't inadvertedly remove a stmt we want to
+     in reverse order so we don't inadvertently remove a stmt we want to
      fixup by visiting a dominating now noreturn call first.  */
   while (!el_to_fixup.is_empty ())
     {
diff --git a/gcc/tree-ssa-propagate.c b/gcc/tree-ssa-propagate.c
index 00ab3d7..e15fe1b 100644
--- a/gcc/tree-ssa-propagate.c
+++ b/gcc/tree-ssa-propagate.c
@@ -1216,7 +1216,7 @@ substitute_and_fold (ssa_prop_get_value_fn get_value_fn,
 
   /* Fixup stmts that became noreturn calls.  This may require splitting
      blocks and thus isn't possible during the dominator walk.  Do this
-     in reverse order so we don't inadvertedly remove a stmt we want to
+     in reverse order so we don't inadvertently remove a stmt we want to
      fixup by visiting a dominating now noreturn call first.  */
   while (!walker.stmts_to_fixup.is_empty ())
     {
